#
# spec file for package postgresql-pl (Version 7.4.13)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  kerberos-devel-packages openssl openssl-devel pam-devel python python-devel tcl tcl-devel

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils e2fsprogs-devel gcc gdbm gettext heimdal heimdal-devel heimdal-lib libtool openssl-devel pam-devel perl python python-devel rpm tcl tcl-devel

Name:           postgresql-pl
Summary:        The PL/Tcl, PL/Perl, and  PL/Python procedural languages for PostgreSQL
Version:        7.4.13
Release:        0.4
License:        BSD
Group:          Productivity/Databases/Servers
Source0:        postgresql-%version.tar.bz2
NoSource:       0
Patch7:         postgresql-plperl.patch
Patch9:         postgresql-fpic.patch
Patch13:        postgresql-python.patch
Url:            http://www.postgresql.org/
Requires:       postgresql-server = %{version}
Obsoletes:      postgresql-plperl
Provides:       postgresql-plperl postgresql-pltcl postgresql-plpython
Provides:       postgresql-tcl:%_libdir/postgresql/pltcl.so
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define pls plperl plpython tcl

%description
PostgreSQL is an advanced object-relational database management system
that supports an extended subset of the SQL standard, including
transactions, foreign keys, subqueries, triggers, user-defined types
and functions.

This package contains the the PL/Tcl, PL/Perl, and PL/Python procedural
languages for PostgreSQL.  With these modules one can use Perl, Python,
and Tcl to write stored procedures, functions and triggers.

PostgreSQL also offers the builtin procedural language PL/SQL which is
included in the postgresql-server package.



Authors:
--------
    Marc G. Fournier <scrappy@hub.org>
    Tom Lane <tgl@sss.pgh.pa.us>
    Vadim B. Mikheev <vadim4o@yahoo.com>
    Bruce Momjian <pgman@candle.pha.pa.us>
    Jan Wieck <JanWieck@Yahoo.com>

%prep
%setup -q -n postgresql-%{version}
%patch7
%patch9
%patch13

%build
autoconf
export CFLAGS="%optflags"
export LIBNAME=%_lib
./configure \
	--prefix=%_prefix \
	--libdir=%_libdir \
	--bindir=%_bindir \
	--includedir=%_includedir/pgsql \
	--datadir=%_datadir/postgresql \
	--mandir=%_mandir \
	--with-docdir=%_docdir \
	--with-includes="/usr/include/heimdal /usr/include/et" \
	--disable-rpath \
	--enable-nls \
	--enable-thread-safety \
	--enable-integer-datetimes \
	--without-readline \
	--with-python \
	--with-perl \
	--with-tcl \
	--without-tk \
	--with-openssl \
	--with-pam \
	--with-krb5
for f in %pls; do
	make %{?jobs:-j%jobs} -C src/pl/$f all
done

%install
for f in %pls; do
	make DESTDIR=%buildroot -C src/pl/$f install
done

%clean
rm -rf %buildroot
# Ok, we are dynamically generating some filelists.  These are by default
# under the BUILD/postgresql-x.y.z tree.
# Note that macros such as config are available in those lists.
# The lists differentiate between RedHat, SuSE, and others.

%files
%defattr(-,root,root)
%_libdir/postgresql
%_datadir/postgresql
%_bindir/pltcl*

%changelog -n postgresql-pl
* Mon Sep 13 2004 - max@suse.de
- Take the proper linking options from Perl, so that libperl.so
  can be found when loading plperl into the postgresql server.
* Thu Sep 09 2004 - max@suse.de
- Fixed the package name inside postgresql-pl.spec.
* Mon Sep 06 2004 - max@suse.de
- Created a separate spec file for the postgresql-pl subpackage.
